Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000420KdenliveTranslationpublic2008-11-30 14:552008-12-29 15:37
Reporterthe-me 
Assigned Tomadsdyd 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.0 
Target Version0.7.1Fixed in Version0.7.1 
Summary0000420: Please add manpages for kdenlive and kdenlive_render
DescriptionHi,

on Linux systems every binary in {/usr}/{sbin,bin}/ should include a manpage which describes the program itself and the usage, parameters etc.

Could you please provide them? They are the only missing things to get it into the Debian archive immo. :)

Thanks.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files? file icon kdenlive.1 [^] (3,126 bytes) 2008-11-30 22:44
? file icon kdenlive.1_fixed [^] (3,085 bytes) 2008-12-03 18:42
? file icon kdenlive_render.1 [^] (1,346 bytes) 2008-12-04 20:49

- Relationships

-  Notes
(0001462)
madsdyd (administrator)
2008-11-30 20:45

I think this is actually only a requirement for debian.

At this state, I think we would gladly accept a patch with man pages.

Also, kdenlive_render is very much an "internal program" - the kdenlive binary calls it to render, but it really should not be called by endusers - could you perhaps provide a link to the debian policy for this, so we can figure out if the debian policy does require a man page for this?

Thanks.
(0001463)
madsdyd (administrator)
2008-11-30 20:52

Got link on irc: http://www.debian.org/doc/debian-policy/ch-docs.html#s12.1 [^]
(0001464)
madsdyd (administrator)
2008-11-30 20:53

[20:51] <the-me> nah... madsdyd it is described in 12.1: http://www.debian.org/doc/debian-policy/ch-docs.html#s12.1 [^]
[20:51] <the-me> it is a requirement and may also be rejected due of missing manpages, if not then this are bugs.
[20:51] <madsdyd> also for kdenlive_render?
[20:52] <the-me> kdenlive_render should go to usr/lib/kdenlive/ if it just _should_ be used internaly and not by the user
[20:52] <the-me> and if it is in u/l/kdenlive/ then it does not need a manual page :-)
(0001470)
madsdyd (administrator)
2008-11-30 22:44

There is a handy script here:
http://manpages.ubuntu.com/manpages/hardy/man1/kdemangen.pl.html [^]

Attaching slightly modified script output shortly.
(0001471)
madsdyd (administrator)
2008-11-30 22:48

Have acknowledged for 0.7.1. The following should be done:

- move kdenlive_render installation to $PREFIX/lib/kdenlive and update kdenlive bin to address it like that
- install attached file into $PREFIX/share/man/man1/kdenlive.1
(0001474)
cinephiliac (updater)
2008-12-01 01:23

I think it's great that we have these, however after talking with Christian Marillat (spelling?) it seems that the real problem with getting into Debian is the stuff around codec licenses for mpeg2/3/4/h.263 etc. Sounds like this is less of an issue for Ubuntu though.
(0001481)
madsdyd (administrator)
2008-12-01 20:11

re comment 1474: There are no actual code in kdenlive/mlt/mlt++ (AFAIK) that does anything with codecs. The problems with codecs needs to be handled on the level of ffmpeg. I think Debian already handles this somehow.
(0001505)
madsdyd (administrator)
2008-12-03 17:20

I think it should probably go to
$PREFIX/lib/kde4/kdenlive

However, I am not really sure it should go there at all. It does not seem there are other binaries in there.
(0001511)
the-me (reporter)
2008-12-03 18:41

So just another password reset.. The mantis version is buggy.

@cinephiliac:
As stated kdenlive has no licensing issues {anymore}, but ffmpeg has a bunch of..
The codecs are limited or removed in Debian, so on kdenlive is just affected of this, but yeah..

To the last comment:
$ find /usr/lib/ -type f -perm -500|wc -l
572

The manpage looks fine but I just attached a little "fix" which removes some spaces at EOL etc.

On my desktop are 572 executable binarys/scripts, this is the right place at all.

I think to push it to $PREFIX/lib/kde4/kdenlive instead of $PREFIX/lib/kdenlive would be a minor violation while this is the namespace for the offical KDE4 binarys/libs.
(0001533)
madsdyd (administrator)
2008-12-04 20:50

the-me: Just uploaded draft for kdenlive_render (consensus amongst developers seems to be that it is OK to keep it user accesible) - please have a look, if you find it is OK, I will find out how to add it to svn.
(0001552)
madsdyd (administrator)
2008-12-06 22:33

Added in Kdenlive SVN rev. 2757.

- Issue History
Date Modified Username Field Change
2008-11-30 14:55 the-me New Issue
2008-11-30 14:55 the-me Build/Install Method => Distribution package
2008-11-30 20:45 madsdyd Note Added: 0001462
2008-11-30 20:45 madsdyd Status new => feedback
2008-11-30 20:52 madsdyd Note Added: 0001463
2008-11-30 20:53 madsdyd Note Added: 0001464
2008-11-30 22:44 madsdyd Note Added: 0001470
2008-11-30 22:44 madsdyd File Added: kdenlive.1
2008-11-30 22:48 madsdyd Note Added: 0001471
2008-11-30 22:48 madsdyd Status feedback => acknowledged
2008-11-30 22:48 madsdyd Target Version => 0.7.1
2008-11-30 22:49 madsdyd Status acknowledged => assigned
2008-11-30 22:49 madsdyd Assigned To => madsdyd
2008-12-01 01:23 cinephiliac Note Added: 0001474
2008-12-01 20:11 madsdyd Note Added: 0001481
2008-12-03 17:20 madsdyd Note Added: 0001505
2008-12-03 18:41 the-me Note Added: 0001511
2008-12-03 18:42 the-me File Added: kdenlive.1_fixed
2008-12-04 20:49 madsdyd File Added: kdenlive_render.1
2008-12-04 20:50 madsdyd Note Added: 0001533
2008-12-06 22:33 madsdyd Note Added: 0001552
2008-12-06 22:33 madsdyd Status assigned => resolved
2008-12-06 22:33 madsdyd Fixed in Version => Recent git
2008-12-06 22:33 madsdyd Resolution open => fixed
2008-12-29 15:36 madsdyd Fixed in Version Recent git => 0.7.1
2008-12-29 15:37 madsdyd Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker